Loading...
Searching...
No Matches
libdar::crit_in_place_data_sparse Class Reference
API

return true if the entry is a sparse file (or hard linked sparse file) More...

`#include <criterium.hpp>`

Inherits libdar::criterium.

## Public Member Functions

| crit_in_place_data_sparse (const crit_in_place_data_sparse &ref)=default
| crit_in_place_data_sparse (crit_in_place_data_sparse &&ref) noexcept=default
crit_in_place_data_sparse & | operator= (const crit_in_place_data_sparse &ref)=default
crit_in_place_data_sparse & | operator= (crit_in_place_data_sparse &&ref) noexcept=default
virtual bool | evaluate (const cat_nomme &first, const cat_nomme &second) const override
| criterum interface method
virtual criterium * | clone () const override
| clone construction method
Public Member Functions inherited from libdar::criterium
| criterium (const criterium &ref)=default
| criterium (criterium &&ref) noexcept=default
criterium & | operator= (const criterium &ref)=default
criterium & | operator= (criterium &&ref) noexcept=default

## Detailed Description

return true if the entry is a sparse file (or hard linked sparse file)

Definition at line 277 of file criterium.hpp.

## Constructor & Destructor Documentation

## crit_in_place_data_sparse()

libdar::crit_in_place_data_sparse::crit_in_place_data_sparse | ( |  | ) |

inline

Definition at line 280 of file criterium.hpp.

## Member Function Documentation

## clone()

virtual criterium * libdar::crit_in_place_data_sparse::clone | ( |  | ) | const

inlineoverridevirtual

clone construction method

Returns
  a new object of the same type,

Note
  this method must be implemented in all the leaf classes of the class hierarchy rooted at the criterium class

Implements libdar::criterium.

Definition at line 288 of file criterium.hpp.

## evaluate()

virtual bool libdar::crit_in_place_data_sparse::evaluate | ( | const cat_nomme & | first,
|  | const cat_nomme & | second
| ) |  | const

overridevirtual

criterum interface method

Parameters

  [in] | first | entry to compare with the following (this is the original or 'in place' entry)
  [in] | second | the other entry to compare with the previous one (this is the new entry to add)

Returns
  the result of the criterium evaluation (true or false)

Implements libdar::criterium.

The documentation for this class was generated from the following file:

- criterium.hpp